function [f] = solved_problem_1_1_feedback(t,x,parameters)

% Parameters
A1      = parameters( 1,1);   % m3              1
A2      = parameters( 2,1);   % m3              2
R1      = parameters( 3,1);   % m-2 hr          3
R2      = parameters( 4,1);   % m-2 hr          4
Kc      = parameters( 5,1);   % m2hr-1          5
ti      = parameters( 6,1);   % hr              6
 
% State Variables
h1s     = parameters( 7,1);   % m               1
h2s     = parameters( 8,1);   % m               2
eis     = parameters( 9,1);   % m               3
 
% Input Variables
h2sps   = parameters(10,1);   % m               4
F01s    = parameters(11,1);   % m3 hr-1         5
F03s    = parameters(12,1);   % m3 hr-1         6
 
% Algebraic Variables
es      = parameters(13,1);   % m               7
F1s     = parameters(14,1);   % m3 hr-1         8
F2s     = parameters(15,1);   % m3 hr-1         9
F02s    = parameters(16,1);   % m3 hr-1        10
 
h1  = x(1);
h2  = x(2);
ei  = x(3);
e   = h2sp_fun(t,parameters) - h2;
F1  = (h1-h2)/R1;
F2  = h2/R2;
F02 = F02s + Kc*e + Kc/ti*ei;

f(1,1)    = (F01_fun(t,parameters) + F02 - F1)/A1;
f(2,1)    = (F03_fun(t,parameters) + F1  - F2)/A2;
f(3,1)    = e;

return

