% program solved_problem_1_1_feedback_dr
clear; clc
 
% Parameters
A1      = 2;            % m3            1
A2      = 2;            % m3            2
R1      = 0.5;          % m-2 hr        3
R2      = 0.5;          % m-2 hr        4
Kc      = 2;            % m2hr-1        5
ti      = 1;            % hr            6
 
% State Variables
h1s     = 6.5;          % m             1
h2s     = 3.5;          % m             2
eis     = 0;            % m             3
 
% Input Variables
h2sps   = h2s;          % m             4
F01s    = 4;            % m3 hr-1       5
F03s    = 1;            % m3 hr-1       6
 
% Algebraic Variables
es      = 0;            % m             7
F1s     = 6;            % m3 hr-1       8  
F2s     = 7;            % m3 hr-1       9
F02s    = 2;            % m3 hr-1      10
 
% Parameters vector
parameters = zeros(16,1);
parameters( 1,1) = A1;
parameters( 2,1) = A2;
parameters( 3,1) = R1;
parameters( 4,1) = R2;
parameters( 5,1) = Kc;
parameters( 6,1) = ti;
parameters( 7,1) = h1s;
parameters( 8,1) = h2s;
parameters( 9,1) = eis;
parameters(10,1) = h2sps;
parameters(11,1) = F01s;
parameters(12,1) = F03s;
parameters(13,1) = es;
parameters(14,1) = F1s;
parameters(15,1) = F2s;
parameters(16,1) = F02s;
t0   =   0;              % hr
tf   =  80;              % hr
% -------------------------------------------------------------------------
[t,y]=ode45(@solved_problem_1_1_feedback,...
            [t0 tf],[h1s,h2s,eis],[],parameters);
figure(1)
plot(t,y(:,1),t,y(:,2))
title('h1(t), h2(t)')
pause

figure(2)
e = (h2sps + 0.5) - y(:,2);
plot(t,e)
title('e(t)')
pause

figure(3)
F02 = F02s + Kc*e + Kc/ti*y(:,3);
plot(t,F02)
title('F02(t)')

