function [f] = solved_problem_1_1_ffcontrol(t,x,parameters)
 
% Parameters
A1      = parameters( 1,1);   % m3              1
A2      = parameters( 2,1);   % m3              2
R1      = parameters( 3,1);   % m-2 hr          3
R2      = parameters( 4,1);   % m-2 hr          4
  
% State Variables
h1s     = parameters( 5,1);   % m               1
h2s     = parameters( 6,1);   % m               2
 
% Input Variables
h2sps   = parameters( 7,1);   % m               3
F01s    = parameters( 8,1);   % m3 hr-1         4
F03s    = parameters( 9,1);   % m3 hr-1         5
 
% Algebraic Variables
F1s     = parameters(10,1);   % m3 hr-1         7
F2s     = parameters(11,1);   % m3 hr-1         8
F02s    = parameters(12,1);   % m3 hr-1         6
 
h1  = x(1);
h2  = x(2);
 
F1  = (h1-h2)/R1;
F2  = h2/R2;
 
if t>=0 && t<30
    F02 = 3;
else
    F02 = 2.5;
end
 
f(1,1)    = (F01_ffcontrol(t,parameters) + F02 - F1)/A1;
f(2,1)    = (F1 + F03_ffcontrol(t,parameters)  - F2)/A2;
 
return

