% solved_problem_1_1_ffcontrol_dr
clear; clc
 
% Parameters
A1      = 2;            % m3            1
A2      = 2;            % m3            2
R1      = 0.5;          % m-2 hr        3
R2      = 0.5;          % m-2 hr        4
 
% State Variables
h1s     = 6.5;          % m             1
h2s     = 3.5;          % m             2
 
% Input Variables
h2sps   = h2s;          % m             3
F01s    = 4;            % m3 hr-1       4
F03s    = 1;            % m3 hr-1       5
 
% Algebraic Variables
F1s     = 6;            % mA            6
F2s     = 7;            % mA            7
F02s    = 2;            % mA            8
 
% Parameters vector
parameters = zeros(12,1);
parameters( 1,1) = A1;
parameters( 2,1) = A2;
parameters( 3,1) = R1;
parameters( 4,1) = R2;
parameters( 5,1) = h1s;
parameters( 6,1) = h2s;
parameters( 7,1) = h2sps;
parameters( 8,1) = F01s;
parameters( 9,1) = F03s;
parameters(10,1) = F1s;
parameters(11,1) = F2s;
parameters(12,1) = F02s;
t0   =   0;              % hr
tf   =  80;              % hr
% -------------------------------------------------------------------------
 [t,y]=ode45(@solved_problem_1_1_ffcontrol,...
             [t0 tf],[h1s,h2s],[],parameters);
figure(1)
plot(t,y(:,1),t,y(:,2))
title('h1(t), h2(t)')
