% program heat_tank_dr
 
clear; clc;
 
% Parameters

F    = 2;                      %    1
V    = 1;                      %    2

% Input Variables
T0s  = 20;                     %    3

% State Variables (steady state)
Ts    = T0s;                   %    4
 
% Parameters vector
parameters = zeros(3,1);
 
parameters( 1,1) = F;
parameters( 2,1) = V;
parameters( 3,1) = T0s;
 
t0   =    0;    
tf   =   20;    
 
% ------------------------------------------------------------
 
x0 = [Ts];
[t,y]=ode45(@heat_tank,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y)
title('T(t)')
 