function [f] = one_tank_level(t,x,parameters)
 
% Parameters
D       = parameters( 1,1);   %   1
d       = parameters( 2,1);   %   2
g       = parameters( 3,1);   %   3
F0s     = parameters( 4,1);   %   4
Fs      = parameters( 5,1);   %   5
hs      = parameters( 6,1);   %   6
 
% State Variables
h       = x( 1);                  %   1
 
% Input Variables
F0      = F0_fun(t,parameters);   %   1
 
% Algebraic Variables
F       = pi*d^2/4*sqrt(2*g*h);   %   1

f       = zeros(1,1);
 
% Differential equations

f( 1,1)    = 4/pi/D^2*(F0 - F);

return
