% program one_tank_level_dr
 
clear;  clc
 
% Parameters
D     = 2;                      %    1
d     = 0.1;                    %    2
g     = 9.81;                   %    3
F0s   = 0.2;                    %    4
Fs    = F0s;                    %    5
hs    = 8*Fs^2/pi^2/d^4/g;      %    6
 
% State Variables (steady state)
xs(1) = hs;                     %    1
 
% Parameters vector
parameters = zeros(6,1);
 
parameters( 1,1) = D;
parameters( 2,1) = d;
parameters( 3,1) = g;
parameters( 4,1) = F0s;
parameters( 5,1) = Fs;
parameters( 6,1) = hs;
 
t0   =      0;    
tf   =  10000;    
 
% ------------------------------------------------------------
 
x0 = [hs];
[t,y]=ode45(@one_tank_level,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y)
title('h(t)')
 