function [f] = two_tank_level_noninteracting(t,x,parameters)
 
% Parameters
D1    = parameters( 1,1);
D2    = parameters( 2,1);
c1    = parameters( 3,1);
c2    = parameters( 4,1);
F01s  = parameters( 5,1);
F02s  = parameters( 6,1);
F1s   = parameters( 7,1);
F2s   = parameters( 8,1);
h1s   = parameters( 9,1);
h2s   = parameters(10,1);
 
% State Variables
h1       = x( 1);                   %   1
h2       = x( 2);                   %   2
 
% Input Variables
F01      = F01_fun(t,parameters);   %   1
F02      = F02_fun(t,parameters);   %   2
 
% Algebraic Variables
F1       = c1*sqrt(h1);             %   1
F2       = c2*sqrt(h2);             %   2
 
f        = zeros(2,1);
 
% Differential equations

f( 1,1)  = 4/pi/D1^2*(F01 - F1);
f( 2,1)  = 4/pi/D2^2*(F02 + F1 - F2);

return
