% program two_tank_level_noninteracting_dr
 
clear;  clc
 
% Parameters
D1     = 2;                      %    1
D2     = 2;                      %    2
c1     = 5.0;                    %    3
c2     = 5.0;                    %    4

% Input Variables (steady state)
F01s   = 4;                      %    5
F02s   = 2;                      %    6

% Algebraic Variables (steady state)
F1s    = F01s;                   %    7
F2s    = F02s + F1s;             %    8

% State Variables (steady state)
h1s    = (F1s/c1)^2;             %    9
h2s    = (F2s/c2)^2;             %   10
 
% Parameters vector
parameters = zeros(10,1);
 
parameters( 1,1) = D1;
parameters( 2,1) = D2;
parameters( 3,1) = c1;
parameters( 4,1) = c2;
parameters( 5,1) = F01s;
parameters( 6,1) = F02s;
parameters( 7,1) = F1s;
parameters( 8,1) = F2s;
parameters( 9,1) = h1s;
parameters(10,1) = h2s;
 
t0   =      0;    
tf   =    100;  

% Initial conditions (Steady state)
x0   = [h1s, h2s].';
 
% ------------------------------------------------------------
 
[t,y]=ode45(@two_tank_level_noninteracting,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,1))
title('h1(t)')
pause

figure(2)
plot(t,y(:,2))
title('h2(t)')




 