function [f] = two_tank_level_interacting(t,x,parameters)
 
% Parameters
D1    = parameters( 1,1);
D2    = parameters( 2,1);
D     = parameters( 3,1);
L     = parameters( 4,1);
g     = parameters( 5,1);
fun   = parameters( 6,1);
F010  = parameters( 7,1);
F020  = parameters( 8,1);
h10   = parameters( 9,1);
h20   = parameters(10,1);
F0    = parameters(11,1);
 
% State Variables
h1       = x( 1);                   %   1
h2       = x( 2);                   %   2
F        = x( 3);                   %   3

% Input Variables
F01      = F01_fun(t,parameters);   %   1
F02      = F02_fun(t,parameters);   %   2
 
f        = zeros(3,1);
 
% Differential equations

f( 1,1)  = 4/pi/D1^2*(F01 - F);
f( 2,1)  = 4/pi/D2^2*(F02 + F);
f( 3,1)  = pi*D^2/4/L*g*h1 - pi*D^2/4/L*g*h2 - 8*F^2*fun/pi/D^3;

return
