% program two_tank_level_interacting_dr
 
clear;  clc
 
% Parameters
D1     =  1.0;                    %    1
D2     =  0.5;                    %    2
D      =  0.05;                   %    3
L      = 10;                      %    4
g      =  9.81;                   %    5
fun    =  1.00;                   %    6

% Input Variables 
F010   = 0;                       %    7
F020   = 0;                       %    8

% State Variables (Non steady state)
h10    = 4;                       %    9
h20    = 2;                       %   10
F0     = 0;                       %   11
 
% Parameters vector
parameters = zeros(11,1);
 
parameters( 1,1) = D1;
parameters( 2,1) = D2;
parameters( 3,1) = D;
parameters( 4,1) = L;
parameters( 5,1) = g;
parameters( 6,1) = fun;
parameters( 7,1) = F010;
parameters( 8,1) = F020;
parameters( 9,1) = h10;
parameters(10,1) = h20;
parameters(11,1) = F0;
 
t0   =       0;    
tf   =    2500;  

% Initial conditions

x0   = [h10, h20, F0].';
 
% ------------------------------------------------------------
 
[t,y]=ode45(@two_tank_level_interacting,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,1),'k-',t,y(:,2),'k--')
title('h1(t)-,h2(t)--')
pause

figure(2)
plot(t,y(:,3))
title('F(t)')




 