function [f] = batch_reactor_isothermal(t,x,parameters)
 
% Parameters
k1    = parameters( 1,1);
k2    = parameters( 2,1);
k3    = parameters( 3,1);
k4    = parameters( 4,1);
Ca0   = parameters( 5,1);
Cb0   = parameters( 6,1);
Cc0   = parameters( 7,1);
Cd0   = parameters( 8,1);
 
% State Variables
Ca       = x( 1);      %   1
Cb       = x( 2);      %   2
Cc       = x( 3);      %   3
Cd       = x( 4);      %   4
  
f        = zeros(4,1);
 
% Differential equations

f( 1,1)  = -k1*Ca;
f( 2,1)  = +k1*Ca-k2*Cb+k3*Cc-k4*Cb;
f( 3,1)  = +k2*Cb-k3*Cc;
f( 4,1)  = +k4*Cb;

return
