% program batch_reactor_isothermal_dr
 
clear;  clc
 
% Parameters
k1     = 2;             %    1
k2     = 4;             %    2
k3     = 3;             %    3
k4     = 1;             %    4

% State Variables (initial state)
Ca0    = 10;            %    5
Cb0    =  0;            %    6
Cc0    =  0;            %    7
Cd0    =  0;            %    8
 
% Parameters vector
parameters = zeros(8,1);
 
parameters( 1,1) = k1;
parameters( 2,1) = k2;
parameters( 3,1) = k3;
parameters( 4,1) = k4;
parameters( 5,1) = Ca0;
parameters( 6,1) = Cb0;
parameters( 7,1) = Cc0;
parameters( 8,1) = Cd0;
 
t0   =      0;    
tf   =     15;  

% Initial conditions

x0   = [Ca0, Cb0, Cc0, Cd0].';
 
% ------------------------------------------------------------
 
[t,y]=ode45(@batch_reactor_isothermal,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,1),'k-',t,y(:,2),'k--',t,y(:,3),'k-.',t,y(:,4),'k:')
title('CA(t)-,CB(t)--,CC(t)-.,CD(t):')




 