function [f] = nonideal_continuous_reactor_isothermal(t,x,parameters)

f1   = parameters( 1,1);
f2   = parameters( 2,1);
a    = parameters( 3,1);
k    = parameters( 4,1);
V    = parameters( 5,1);
V1   = parameters( 6,1);
V2   = parameters( 7,1);
Fs   = parameters( 8,1);
Ca0s = parameters( 9,1);
Ca1s = parameters(10,1);
Ca2s = parameters(11,1);
F1s  = parameters(12,1);
F2s  = parameters(13,1);
F3s  = parameters(14,1);
Cas  = parameters(15,1);
  
% State Variables
Ca1        = x( 1);                              %   1
Ca2        = x( 2);                              %   2

% Input Variables
F          = F_fun(t,parameters);                %   1
Ca0        = Ca0_fun(t,parameters);              %   2

% Algebraic Variables
F1         = (1-f1)*F;                           %   1
F2         = f1*F;                               %   2
F3         = a*F;                                %   3
 
f        = zeros(2,1);
 
% Differential equations

f( 1,1)  = F1/V1*(Ca0_fun(t,parameters)-Ca1)-F3/V1*(Ca1-Ca2)-k*Ca1;
f( 2,1)  = F3/V2*(Ca1-Ca2)-k*Ca2;

return
