function [f] = nonideal_tubular_reactor_isothermal(t,x,parameters)

n         = parameters( 1,1);
itmax     = parameters( 2,1);
tol       = parameters( 3,1);
k         = parameters( 4,1);
D         = parameters( 5,1);
A         = parameters( 6,1);
L         = parameters( 7,1);
Ca0s      = parameters( 8,1);
F0s       = parameters( 9,1);
dir_l     = parameters(10,1);
neumann_r = parameters(11,1);
dz        = parameters(12,1);
  
% State Variables
Ca_v_space  = x;  %   n

% Input Variables
F0        = F0_fun(t,parameters);    %   1
Ca0       = Ca0_fun(t,parameters);   %   2
 
f        = zeros(n,1);
 
% Differential equations

Ca_v_space(1) = Ca0;

%f( 1,1)  = - F0/A/dz*(Ca_v_space(2) - Ca_v_space(1)) ...
%           + D/dz^2*(-Ca_v_space(4) + 4*Ca_v_space(3) -5*Ca_v_space(2) + 2*Ca_v_space(1)) ...
%           - k*Ca_v_space(1);

f( 1,1)  = Ca_v_space(1) - Ca0;

for i = 2:n-1
    f( i,1) = - F0/A/2/dz*(Ca_v_space(i+1) - Ca_v_space(i-1)) ...
              + D/dz^2*(Ca_v_space(i+1) - 2*Ca_v_space(i) + Ca_v_space(i-1)) ...
              - k*Ca_v_space(i);
end
 
Ca_n_plus_1 = Ca_v_space(n-1) + 2*dz*neumann_r;

f( n,1)  = - F0/A/2/dz*(Ca_n_plus_1 - Ca_v_space(n-1)) ...
           + D/dz^2*(Ca_n_plus_1 - 2*Ca_v_space(n) + Ca_v_space(n-1)) ...
           - k*Ca_v_space(n);
return
