function [f] = semibatch_reactor_isothermal(t,x,parameters)
 
% Parameters

k1      = parameters( 1,1);
k2      = parameters( 2,1);
Vmax    = parameters( 3,1);
V0      = parameters( 4,1);
CA0     = parameters( 5,1);
CB0     = parameters( 6,1);
CP0     = parameters( 7,1);
F00     = parameters( 8,1);
CBfeed0 = parameters( 9,1);

% State Variables
V        = x( 1);      %   1 
CA       = x( 2);      %   2
CB       = x( 3);      %   3
CP       = x( 4);      %   4

% Input Variables
F0       = F0_fun(t,parameters);
CBfeed   = CBfeed_fun(t,parameters);

 
% Differential equations
f        = zeros(4,1);
if V < Vmax
    f( 1,1)  = F0_fun(t,parameters);
else
    f( 1,1)  = 0;
end
f( 2,1)  = -F0/V*CA-k1*CA*CB;
f( 3,1)  = +F0/V*CBfeed-F0/V*CB-k1*CA*CB-k2*CB*CP;
f( 4,1)  = -F0/V*CP+k1*CA*CB-k2*CB*CP;

return

