% program semibatch_reactor_isothermal_dr
 
clear;  clc
 
% Parameters
k1      =   5;            %    1
k2      =   1;            %    2
Vmax    =  20;            %    3        

% State Variables (initial state)
V0      =  5;             %    4
CA0     =  3;             %    5
CB0     =  2;             %    6
CP0     =  0;             %    7

% Input Variables (initial state)
F00     =  3;             %    8
CBfeed0 =  2;             %    9

% Parameters vector
parameters = zeros(9,1);
 
parameters( 1,1) = k1;
parameters( 2,1) = k2;
parameters( 3,1) = Vmax;
parameters( 4,1) = V0;
parameters( 5,1) = CA0;
parameters( 6,1) = CB0;
parameters( 7,1) = CP0;
parameters( 8,1) = F00;
parameters( 9,1) = CBfeed0;
 
t0   =      0;    
tf   =     10;  

% Initial conditions

x0   = [V0, CA0, CB0, CP0].';
 
% ------------------------------------------------------------
 
[t,y]=ode45(@semibatch_reactor_isothermal,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,1))
title('V(t)')
pause

figure(2)
plot(t,y(:,2),'g',t,y(:,3),'r',t,y(:,4),'b'); axis([t0 tf 0 3])
title('CA(t), CB(t), CP(t)')


 