function [f] = PFR_reactor_with_recycle_approximation(t,x,parameters)
 
% Parameters

N      = parameters( 1,1);
V      = parameters( 2,1);
k      = parameters( 3,1);
r      = parameters( 4,1);
n      = parameters( 5,1);
Ca0s   = parameters( 6,1);
Fs     = parameters( 7,1);

% State Variables
Ca     = x;
% Input Variables
F      = F_fun  (t,parameters);
Ca0    = Ca0_fun(t,parameters);
% Algebraic Variables
Fr     = F*r;
 
% Differential equations
f        = zeros(N,1);
f( 1,1)  = N/V*(F*Ca0+Fr*Ca(N,1) - (F+Fr)*Ca(1,1))-k*Ca(1,1);
for i = 2:N
    f( i,1)  = N/V*(F+Fr)*(Ca(i-1,1) - Ca(i,1))-k*Ca(i,1);
end
return

