% program inverted_pendulum_control_dr
 
clear;  clc
 
% Parameters
I     =      0.006;                             %    1
L     =      0.30;                              %    2
M     =      0.50;                              %    3
m     =      0.50;                              %    4
c     =      0.0;                               %    5
k     =      0.1;                               %    6
g     =      9.81;                              %    7
Kc    =     40;                                 %    8 
ti    =     30;                                 %    9
td    =     15;                                 %   10

% Input Variables (initial state)
x10   =      pi/18;                          
x20   =      0;                           
x30   =      0;                                
x40   =      0; 
x50   =      0;
x60   =      0;

% Parameters vector
parameters = zeros(10,1);
 
parameters( 1,1) = I;
parameters( 2,1) = L;
parameters( 3,1) = M;
parameters( 4,1) = m;
parameters( 5,1) = c;
parameters( 6,1) = k;
parameters( 7,1) = g;
parameters( 8,1) = Kc;
parameters( 9,1) = ti;
parameters(10,1) = td;

% Initial conditions

x0   = [x10, x20, x30, x40, x50, x60]';

t0   =     0;
tf   =     2;
 
% ------------------------------------------------------------
 
[t,y]=ode45(@inverted_pendulum_control,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,1)*180/pi,'k')
title('Theta(t)')
pause

figure(2)
plot(t,y(:,3),'k')
title('x(t)')




 