function [f] = solved_problem_2_1(t,x,parameters);
 
% Parameters
alpha      = parameters( 1,1);   %                  1
beta       = parameters( 2,1);   %                  2
Kcd        = parameters( 3,1);   %                  3
tid        = parameters( 4,1);   %                  4
Kcb        = parameters( 5,1);   %                  5
tib        = parameters( 6,1);   %                  6
Mss        = parameters( 7,1);   %                  7
xdss       = parameters( 8,1);   %                  8
Mdss       = parameters( 9,1);   %                  9
xbss       = parameters(10,1);   %                 10
Mbss       = parameters(11,1);   %                 11
xdspss     = parameters(12,1);   %                 12
xbspss     = parameters(13,1);   %                 13
Fss        = parameters(14,1);   %                 14
xfss       = parameters(15,1);   %                 15
Rss        = parameters(16,1);   %                 16
Dss        = parameters(17,1);   %                 17
Vss        = parameters(18,1);   %                 18
Bss        = parameters(19,1);   %                 19
 
for i = 20:39
    xs(i-19) = parameters(i,1);  %                 20 - 39
end
 
for i = 40:59
    Ms(i-39) = parameters(i,1);  %                 40 - 59
end
 
xdss        = parameters(60,1);  %                 60
Mdss        = parameters(61,1);  %                 61
xbss        = parameters(62,1);  %                 62
Mbss        = parameters(63,1);  %                 63
eids        = parameters(64,1);  %                 64
eibs        = parameters(65,1);  %                 65
xdspss      = parameters(66,1);  %                 66
xbspss      = parameters(67,1);  %                 67
Fss         = parameters(68,1);  %                 68
xfss        = parameters(69,1);  %                 69
 
 
% State Variables
 
x1          = x( 1);               %    1
x2          = x( 2);               %    2
x3          = x( 3);               %    3
x4          = x( 4);               %    4
x5          = x( 5);               %    5
x6          = x( 6);               %    6
x7          = x( 7);               %    7
x8          = x( 8);               %    8
x9          = x( 9);               %    9
x10         = x(10);               %    10
x11         = x(11);               %    10
x12         = x(12);               %    12
x13         = x(13);               %    13
x14         = x(14);               %    14
x15         = x(15);               %    15
x16         = x(16);               %    16
x17         = x(17);               %    17
x18         = x(18);               %    18
x19         = x(19);               %    19
x20         = x(20);               %    20
 
M1          = x(21);               %    21
M2          = x(22);               %    22
M3          = x(23);               %    23
M4          = x(24);               %    24
M5          = x(25);               %    25
M6          = x(26);               %    26
M7          = x(27);               %    27
M8          = x(28);               %    28
M9          = x(29);               %    29
M10         = x(30);               %    30
M11         = x(31);               %    31
M12         = x(32);               %    32
M13         = x(33);               %    33
M14         = x(34);               %    34
M15         = x(35);               %    35
M16         = x(36);               %    36
M17         = x(37);               %    37
M18         = x(38);               %    38
M19         = x(39);               %    39
M20         = x(40);               %    40
 
xd          = x(41);               %    41
Md          = x(42);               %    42
xb          = x(43);               %    43
Mb          = x(44);               %    44
eid         = x(45);               %    45
eib         = x(46);               %    46
 
% Input Variables
 
xdsp_t      = xdsp(t,parameters);  %     1
xbsp_t      = xbsp(t,parameters);  %     2
F_t         = F   (t,parameters);  %     3
xf_t        = xf  (t,parameters);  %     4
 
 
% Algebraic Variables
 
y1     = equilibrium(x1 ,parameters);
y2     = equilibrium(x2 ,parameters);
y3     = equilibrium(x3 ,parameters);
y4     = equilibrium(x4 ,parameters);
y5     = equilibrium(x5 ,parameters);
y6     = equilibrium(x6 ,parameters);
y7     = equilibrium(x7 ,parameters);
y8     = equilibrium(x8 ,parameters);
y9     = equilibrium(x9 ,parameters);
y10    = equilibrium(x10,parameters);
y11    = equilibrium(x11,parameters);
y12    = equilibrium(x12,parameters);
y13    = equilibrium(x13,parameters);
y14    = equilibrium(x14,parameters);
y15    = equilibrium(x15,parameters);
y16    = equilibrium(x16,parameters);
y17    = equilibrium(x17,parameters);
y18    = equilibrium(x18,parameters);
y19    = equilibrium(x19,parameters);
y20    = equilibrium(x20,parameters);
 
ed     = xdsp_t - xd;
eb     = xbsp_t - xb;
R      = Rss + Kcd*ed + Kcd/tid*eid;
V      = Vss - Kcb*eb - Kcb/tib*eib;
 
L1     = R + F_t;
L2     = R + F_t;
L3     = R + F_t;
L4     = R + F_t;
L5     = R + F_t;
L6     = R + F_t;
L7     = R + F_t;
L8     = R + F_t;
L9     = R + F_t;
L10    = R + F_t;
L11    = R;
L12    = R;
L13    = R;
L14    = R;
L15    = R;
L16    = R;
L17    = R;
L18    = R;
L19    = R;
L20    = R;
 
yb     = equilibrium(xb,parameters);
D      = V - R;
B      = L1 - V;
 
f      = zeros(46,1);
 
f( 1,1)    = 1/M1* (L2 *x2 -L1 *x1  + V*yb  - V*y1  - x1* (L2  - L1));
f( 2,1)    = 1/M2* (L3 *x3 -L2 *x2  + V*y1  - V*y2  - x2* (L3  - L2));
f( 3,1)    = 1/M3* (L4 *x4 -L3 *x3  + V*y2  - V*y3  - x3* (L4  - L3));
f( 4,1)    = 1/M4* (L5 *x5 -L4 *x4  + V*y3  - V*y4  - x4* (L5  - L4));
f( 5,1)    = 1/M5* (L6 *x6 -L5 *x5  + V*y4  - V*y5  - x5* (L6  - L5));
f( 6,1)    = 1/M6* (L7 *x7 -L6 *x6  + V*y5  - V*y6  - x6* (L7  - L6));
f( 7,1)    = 1/M7* (L8 *x8 -L7 *x7  + V*y6  - V*y7  - x7* (L8  - L7));
f( 8,1)    = 1/M8* (L9 *x9 -L8 *x8  + V*y7  - V*y8  - x8* (L9  - L8));
f( 9,1)    = 1/M9* (L10*x10-L9 *x9  + V*y8  - V*y9  - x9* (L10 - L9));
f(10,1)    = 1/M10*(L11*x11-L10*x10 + V*y9  - V*y10 + F_t*xf_t - x10*(L11-L10+F_t));
f(11,1)    = 1/M11*(L12*x12-L11*x11 + V*y10 - V*y11 - x11*(L12 - L11));
f(12,1)    = 1/M12*(L13*x13-L12*x12 + V*y11 - V*y12 - x12*(L13 - L12));
f(13,1)    = 1/M13*(L14*x14-L13*x13 + V*y12 - V*y13 - x13*(L14 - L13));
f(14,1)    = 1/M14*(L15*x15-L14*x14 + V*y13 - V*y14 - x14*(L15 - L14));
f(15,1)    = 1/M15*(L16*x16-L15*x15 + V*y14 - V*y15 - x15*(L16 - L15));
f(16,1)    = 1/M16*(L17*x17-L16*x16 + V*y15 - V*y16 - x16*(L17 - L16));
f(17,1)    = 1/M17*(L18*x18-L17*x17 + V*y16 - V*y17 - x17*(L18 - L17));
f(18,1)    = 1/M18*(L19*x19-L18*x18 + V*y17 - V*y18 - x18*(L19 - L18));
f(19,1)    = 1/M19*(L20*x20-L19*x19 + V*y18 - V*y19 - x19*(L20 - L19));
f(20,1)    = 1/M20*(R*xd   -L20*x20 + V*y19 - V*y20 - x20*(R   - L20));
 
f(21,1)    = L2  - L1;
f(22,1)    = L3  - L2;
f(23,1)    = L4  - L3;
f(24,1)    = L5  - L4;
f(25,1)    = L6  - L5;
f(26,1)    = L7  - L6;
f(27,1)    = L8  - L7;
f(28,1)    = L9  - L8;
f(29,1)    = L10 - L9;
f(30,1)    = L11 - L10 + F_t;
f(31,1)    = L12 - L11;
f(32,1)    = L13 - L12;
f(33,1)    = L14 - L13;
f(34,1)    = L15 - L14;
f(35,1)    = L16 - L15;
f(36,1)    = L17 - L16;
f(37,1)    = L18 - L17;
f(38,1)    = L19 - L18;
f(39,1)    = L20 - L19;
f(40,1)    = R   - L20;
f(41,1)    = 1/Md*(V*y20 - (R+D)*xd  - xd*(V - R - D));
f(42,1)    = V - R - D;
f(43,1)    = 1/Mb*(L1*x1 - V*yb  - B*xb - xb*(L1 - V - B));
f(44,1)    = L1 - V - B;
f(45,1)    = ed;
f(46,1)    = eb;
return

