% program solved_problem_2_1_dr
 
clear; clc
 
% Parameters
alpha    = 2;                      %    1
beta     = 0.1;                    %    2
 
Kcd      = 1000;                   %    3
tid      = 5;                      %    4
 
Kcb      = 1000;                   %    5
tib      = 1.25;                   %    6
 
Mss      = 10;                     %    7
xdss     =  0.98;                  %    8
Mdss     = 100;                    %    9
xbss     =  0.02;                  %   10
Mbss     = 100;                    %   11
xdspss   = 0.98;                   %   12
xbspss   = 0.02;                   %   13
Fss      = 100;                    %   14
xfss     = 0.50;                   %   15
Rss      = 128.01;                 %   16
Dss      =  50.00;                 %   17
Vss      = 178.01;                 %   18
Bss      =  50.00;                 %   19
 
% State Variables (steady state)
 
xs( 1)      = 0.03499;             %    1
xs( 2)      = 0.05720;             %    2
xs( 3)      = 0.08884;             %    3
xs( 4)      = 0.13182;             %    4
xs( 5)      = 0.18621;             %    5
xs( 6)      = 0.24951;             %    6
xs( 7)      = 0.31617;             %    7
xs( 8)      = 0.37948;             %    8
xs( 9)      = 0.43391;             %    9
xs(10)      = 0.47688;             %   10
xs(11)      = 0.51526;             %   11
xs(12)      = 0.56226;             %   12
xs(13)      = 0.61895;             %   13
xs(14)      = 0.68051;             %   14
xs(15)      = 0.74344;             %   15
xs(16)      = 0.80318;             %   16
xs(17)      = 0.85602;             %   17
xs(18)      = 0.89994;             %   18
xs(19)      = 0.93458;             %   19
xs(20)      = 0.96078;             %   20
 
for i = 1:20
    Ms(i) = Mss;                   %   21 - 40
end
 
xds         = xdss;                %   41
Mds         = Mdss;                %   42
xbs         = xbss;                %   43
Mbs         = Mbss;                %   44
 
eids        = 0;                   %   45
eibs        = 0;                   %   46
 
% Parameters vector
parameters = zeros(69,1);
 
parameters( 1,1) = alpha;
parameters( 2,1) = beta;
parameters( 3,1) = Kcd;
parameters( 4,1) = tid;
parameters( 5,1) = Kcb;
parameters( 6,1) = tib;
parameters( 7,1) = Mss;
parameters( 8,1) = xdss;
parameters( 9,1) = Mdss;
parameters(10,1) = xbss;
parameters(11,1) = Mbss;
parameters(12,1) = xdspss;
parameters(13,1) = xbspss;
parameters(14,1) = Fss;
parameters(15,1) = xfss;
parameters(16,1) = Rss;
parameters(17,1) = Dss;
parameters(18,1) = Vss;
parameters(19,1) = Bss;
 
for i = 20:39
    parameters(i,1) = xs(i-19);
end
 
for i = 40:59
    parameters(i,1) = Ms(i-39);
end
 
parameters(60,1) = xdss;
parameters(61,1) = Mdss;
parameters(62,1) = xbss;
parameters(63,1) = Mbss;
parameters(64,1) = eids;
parameters(65,1) = eibs;
parameters(66,1) = xdspss;
parameters(67,1) = xbspss;
parameters(68,1) = Fss;
parameters(69,1) = xfss;
 
% Input Variables
 
xdsps   = xdspss;                              %    1
xbsps   = xbspss;                              %    2
Fs      = Fss;                                 %    3
xfs     = xfss;                                %    4
 
 
% Algebraic Variables
 
for i = 1:20
    ys(i) = equilibrium(xs(i),parameters);     %    1 - 20
end
 
for i = 1:10
    Ls(i) = Rss + Fss;                         %   21  20+nf
end
for i = 11:20                 
    Ls(i) = Rss;                               %   21+nf  - 40
end
 
Rs          = Rss;                             %   41
Ds          = Dss;                             %   42
ybs         = equilibrium(xbs,parameters);     %   43
Vs          = Vss;                             %   44
Bs          = Bss;                             %   45
 
eds         = 0;                               %   46 
cds         = Rss;                             %   47 
 
ebs         = 0;                               %   48 
cbs         = Vss;                             %   49  
 
t0   =   0;    
tf   =   150;    
 
% ------------------------------------------------------------
 
x0 = [xs Ms xdss Mdss xbss Mbss eids eibs];
[t,y]=ode45(@solved_problem_2_1,[t0 tf],x0,[],parameters);
 
figure(1)
plot(t,y(:,41))
title('xd(t)')
pause
 
figure(2)
plot(t,y(:,43))
title('xb(t)')

