% program solved_problem_2_2_dr_b
clear; clc

% Parameters
k0      = 0.00017;              % m3 kmol-1 min-1         1
V       = 5.119;                % m3                      2
E       = 11273;                % kcal kmol-1             3
R       = 1.987;                % m-2 hr                  4
DH      = 5.9e5;                % kcal kmol-1             5
cpa     = 40;                   % kcal kmol-1 K-1         6
cpb     = 8.38;                 % kcal kmol-1 K-1         7
cpw     = 18;                   % kcal kmol-1 K-1         8
UA      = 35.85;                % kcal min-1  K-1         9
Tc      = 298;                  % K                      10
Na0     =  9.044;               % kmol                   11
Nb0     = 33.000;               % kmol                   12
Nw0     = 103.7;                % kmol                   13
Ca0     = Na0/V;                % kmol m-3               14
Cb0     = Nb0/V;                % kmol m-3               15
Cw0     = Nw0/V;                % kmol m-3               16
thetab  = Nb0/Na0;              % -                      17
kin     = k0*exp(E/R*...
          (1/(188+273)-1/(175+273))); % m3 kmol-1 min-1  18
sigma_ncp = Na0*cpa+Nb0*cpb+Nw0*cpw;  % kcal K-1         19
rin     = kin*Ca0*Cb0;                % kmol m-3 min-1   20
Qgin    = DH*rin*V;                   % kcal min-1       21
Qcin    = UA*(175 + 273 - Tc);        % kcal min-1       22

% State Varables
xin     = 0;                          % -                23
Tin     = 273 + 175;                  % K                24
erriin  = 0;                          % K                25

% Controller parameters
kc        = -2;                       % mA K-1           26
ti        = 5;                        % min              27
cs        = 12;                       % mA               28
err0      = 0;                        % K                29
erri0     = 0;                        % K                30

% Valve parameters
kv        = -25;                      % K mA-1           31
av        = 598;                      % K                32

% Set point
Tsp       = 273 + 175;                % K                33

% Parameters vector
parameters = zeros(32,1);
parameters( 1,1) = k0;
parameters( 2,1) = V;
parameters( 3,1) = E;
parameters( 4,1) = R;
parameters( 5,1) = DH;
parameters( 6,1) = cpa;
parameters( 7,1) = cpb;
parameters( 8,1) = cpw;
parameters( 9,1) = UA;
parameters(10,1) = Tc;
parameters(11,1) = Na0;
parameters(12,1) = Nb0;
parameters(13,1) = Nw0;
parameters(14,1) = Ca0;
parameters(15,1) = Cb0;
parameters(16,1) = Cw0;
parameters(17,1) = thetab;
parameters(18,1) = kin;
parameters(19,1) = sigma_ncp;
parameters(20,1) = rin;
parameters(21,1) = Qgin;
parameters(22,1) = Qcin;
parameters(23,1) = xin;
parameters(24,1) = erriin;
parameters(25,1) = Tin;
parameters(26,1) = kc;
parameters(27,1) = ti;
parameters(28,1) = cs;
parameters(29,1) = err0;
parameters(30,1) = erri0;
parameters(31,1) = kv;
parameters(32,1) = av;
parameters(33,1) = Tsp;

t0   =       0;              % min
tf   =    5000;              % min
% ------------------------------------------------------------
[t,y]=ode23s(@solved_problem_2_2b,[t0 tf],[xin, Tin, erriin],[],parameters);

figure(1)
plot(t,y(:,1))
title('x(t)')
pause

figure(2)
plot(t,y(:,2) - 273)
title('T(t)')

