function [f] = solved_problem_2_2b(t,x,parameters)
 
k0        = parameters( 1,1);   %                  1
V         = parameters( 2,1);   %                  2
E         = parameters( 3,1);   %                  3
R         = parameters( 4,1);   %                  4
DH        = parameters( 5,1);   %                  5
cpa       = parameters( 6,1);   %                  6
cpb       = parameters( 7,1);   %                  7
cpw       = parameters( 8,1);   %                  8
UA        = parameters( 9,1);   %                  9
Tc        = parameters(10,1);   %                 10
Na0       = parameters(11,1);   %                 11
Nb0       = parameters(12,1);   %                 12
Nw0       = parameters(13,1);   %                 13
Ca0       = parameters(14,1);   %                 14
Cb0       = parameters(15,1);   %                 15
Cw0       = parameters(16,1);   %                 16
thetab    = parameters(17,1);   %                 17
kin       = parameters(18,1);   %                 18
sigma_ncp = parameters(19,1);   %                 19
rin       = parameters(20,1);   %                 20
Qgin      = parameters(21,1);   %                 21
Qcin      = parameters(22,1);   %                 22
xin       = parameters(23,1);   %                 23
erriin    = parameters(24,1);   %                 24
Tin       = parameters(25,1);   %                 25
kc        = parameters(26,1);   %                 26
ti        = parameters(27,1);   %                 27
cs        = parameters(28,1);   %                 28
err0      = parameters(29,1);   %                 29
erri0     = parameters(30,1);   %                 30
kv        = parameters(31,1);   %                 31
av        = parameters(32,1);   %                 32
Tsp       = parameters(33,1);   %                 33

xi        = x(1);
T         = x(2);
erri      = x(3);

k         = k0*exp(E/R*(1/(273+188)-1/T));
Ca        = Ca0*(1 - xi);
Cb        = Ca0*(thetab - 2*xi);
ra        = k*Ca*Cb;
Qg        = DH*V*ra;
err       = Tsp - T;
c         = cs + kc*err + kc/ti*erri;
Tc        = kv*c + av;
if Tc < 298
    Tc = 298;
end
Qr = UA*(T - Tc); 
f(1,1)    = ra*V/Na0;
f(2,1)    = (Qg - Qr)/sigma_ncp;
f(3,1)    = err;
return

