function [f] = solved_problem_2_3(t,x,parameters)

% Parameters
V         = parameters( 1,1);
Cpa       = parameters( 2,1);
Cpb       = parameters( 3,1);
Cpc       = parameters( 4,1);
Cpm       = parameters( 5,1);
Cpw       = parameters( 6,1);
roa       = parameters( 7,1);
rob       = parameters( 8,1);
roc       = parameters( 9,1);
k0        = parameters(10,1);
ER        = parameters(11,1);
DH        = parameters(12,1);
UA        = parameters(13,1);
tm        = parameters(14,1);
Km        = parameters(15,1);
am        = parameters(16,1);
mcmax     = parameters(17,1);
tv        = parameters(18,1);
Kv        = parameters(19,1);
av        = parameters(20,1);
Kc        = parameters(21,1);
ti        = parameters(22,1);
Fa0s      = parameters(23,1);
Fb0s      = parameters(24,1);
Fc0s      = parameters(25,1);
Fm0s      = parameters(26,1);
T0s       = parameters(27,1);
Tc0s      = parameters(28,1);
Tsps      = parameters(29,1);
q0s       = parameters(30,1);
Ca0s      = parameters(31,1);
Cb0s      = parameters(32,1);
Cm0s      = parameters(33,1);
Ca_0      = parameters(34,1);
Cb_0      = parameters(35,1);
Cc_0      = parameters(36,1);
Cm_0      = parameters(37,1);
T_0       = parameters(38,1);
Tm_0      = parameters(39,1);
errori_0  = parameters(40,1);
mc_0      = parameters(41,1);
k_0       = parameters(42,1);
ra_0      = parameters(43,1);
rb_0      = parameters(44,1);
rc_0      = parameters(45,1);
Tc_0      = parameters(46,1);
Tspstar_0 = parameters(47,1);
error_0   = parameters(48,1);
c_0       = parameters(49,1);

% State Variables
Ca           =  x(1,1); 
Cb           =  x(2,1); 
Cc           =  x(3,1); 
Cm           =  x(4,1); 
T            =  x(5,1); 
Tm           =  x(6,1);
errori       =  x(7,1);
mc           =  x(8,1);

% Algebraic Variables
k            = k0*exp(-ER/(T+460));  
ra           = k*Ca;  
rb           = k*Ca; 
rc           = k*Ca;  
Tc           = T -(T - Tc0s)*exp(-UA/mc/Cpw); 
Qdot         = mc*Cpw*(Tc0s-Tc);
sigmathetaCp = Fa0s/Fa0s*Cpa + Fb0s/Fa0s*Cpb + Fm0s/Fa0s*Cpm;
sigmaNCp     = Cpa*Ca*V + Cpb*Cb*V + Cpc*Cc*V + Cpm*Cm*V;
Tspstar      = Tsp_fun(t,parameters)*Km+am;
error        = Tspstar - Tm;
c            = c_0 + Kc*error +Kc/ti*errori;
if c > 20
    c = 20;
elseif c < 4
    c = 4;
end

f(1,1)       = (Ca0s-Ca)/V*q0s - ra;
f(2,1)       = (Cb0s-Cb)/V*q0s - rb;
f(3,1)       = (0   -Cc)/V*q0s + rc;
f(4,1)       = (Cm0s-Cm)/V*q0s;
f(5,1)       = (Qdot-Fa0s*sigmathetaCp*(T-T0s)-DH*V*ra)/sigmaNCp;
f(6,1)       = - Tm/tm + Km*T/tm + am/tm;
f(7,1)       = error;
f(8,1)       = - mc/tv + Kv*c/tv + av/tv;

return
