% program example_3_1_dr

clear;  clc
 
% Parameters
D       = 1;            % m 			1
d       = 0.1;          % m			    2
g       = 9.80665;      % m sec-2       3
 
 
% Input Variables
F0s     = 0.05;                     % m3 sec-1 		 
 
% Algebraic Variables
Fs      = F0s;                      % m3 sec-1 		 

% State Variables
hs      = 8*F0s^2/pi^2/d^4/g;       % m 			 

 
% Parameters vector
parameters = zeros(6,1);
 
parameters(1,1) = D;
parameters(2,1) = d;
parameters(3,1) = g;
parameters(4,1) = hs;
parameters(5,1) = F0s;
parameters(6,1) = Fs;
 
t0   =     0;              % sec
tf   =  1000;              % sec
 
% -------------------------------------------------------------------------
 
[t,y]=ode45(@example_3_1,[t0 tf],[hs],[],parameters);

% -------------------------------------------------------------------------

A = -sqrt(2)/2*(d/D)^2*sqrt(g)/sqrt(hs);
B =  4/pi/D^2;
C =  1;
D =  0;

sys_ss = ss(A,B,C,D);

t1 = [t0:0.01:tf];
u1 = ones(1,length(t1))*0.3*F0s;

y1    = lsim(sys_ss,u1,t1);
y1abs = hs + y1;

figure(1)
plot(t,y,'k-',t1,y1abs,'k--')
title('h(t)')


 
