% program example_3_6_dr

clear; clc

syms s t tau
R1   = 2;
R2   = 2;
R3   = 2;
A1   = 2;
A2   = 3;
A3   = 4;
F01s = 2;
F02s = 0;
F03s = 0;
 
A = [-1/A1/R1,0,0;1/A2/R1,-1/A2/R2,1/A2/R2;0,1/A3/R2,-1/A3/R2-1/A3/R3]
B = [1/A1,0,0;0,1/A2,0;0,0,1/A3]
C = eye(3);
D = zeros(3);
 
% Initial steady state
us = [F01s;F02s;F03s];
xs = -inv(A)*B*us
ys = C*xs + D*us
 
% Transfer functions
I  = eye(3);
Gs = C*inv(s*I-A)*B+D
pause
 
% Computation of response, first method 
% (solution in time space)
y_initial_cond = C*expm(A*t)*xs
u              = [2*F01s;F02s;F03s];
y_input        = C*int(expm(A*(t-tau))*B*u,tau,0,t) + D*u
y_1            = y_initial_cond + y_input
 
% Computation of response, second method  
% (solution with use of Laplace transforms)
u_s            = [F01s/s;0;0];
y_2            = ys + ilaplace(Gs*u_s)

tt = [0:0.1:100]'; 
y11 = 8-4*exp(-1/4*tt);
y22 = 16-8/13*exp(-5/24*tt).*(13*cosh(1/24*tt*13^(1/2))+...
                              5*13^(1/2)*sinh(1/24*tt*13^(1/2)));
y33 = 8+4*exp(-1/4*tt)-8/13*exp(-5/24*tt).*...
      (13*cosh(1/24*tt*13^(1/2))+2*13^(1/2)*sinh(1/24*tt*13^(1/2)));
results = [tt, y11, y22, y33]
pause
  
plot(tt,y11,'k-', tt,y22,'k--', tt,y33,'k-.') 
