% program solved_problem_5_1_dr

clear; clc
s         = tf('s'); 

Kp1       = 5e-3;  tp1 = 2;
Kd1       = 1;
Kp2       = 1;     tp2 = 4;
Kc        =  8;    ti  =  5;
Kf        = 1e3;
Gd1       = Kd1/(tp1*s+1);
Gp1       = Kp1/(tp1*s+1);
Gp2       = Kp2/(tp2*s+1);
Gc        = Kc*(1+1/ti/s);
Gf        = Kf;

Gol       = Gc*Gf*Gp1*Gp2;

error_s   = -Gd1*Gp2/(1+Gol);
c_s       = -Gd1*Gp2*Gc/(1+Gol);
q_s       = -Gd1*Gp2*Gc*Gf/(1+Gol);
T1_s      =  Gd1/(1+Gol);
T2_s      =  Gd1*Gp2/(1+Gol);

tt        = [0:0.01:20]';
m         = length(tt);
T0        = 5*ones(m,1);

[error_t] = lsim(error_s,T0,tt);
[c_t]     = lsim(c_s,    T0,tt);
[q_t]     = lsim(q_s,    T0,tt);
[T1_t]    = lsim(T1_s,   T0,tt);
[T2_t]    = lsim(T2_s,   T0,tt);

figure(1)
plot(tt,error_t)
title('error(t)')
pause

figure(2)
plot(tt,c_t)
title('c(t)')
pause

figure(3)
plot(tt,q_t)
title('q(t)')
pause

figure(4)
plot(tt,T1_t,'k-',tt,T2_t,'k--')
title('T1(t)-, T2(t)--')
