% program freq_resp_02_dr
% response of system to
% sinusoidal input - first order system with negative zero 

clear; clc

s = tf('s');

t1 = [0:0.01:500];
t2 = [0:0.01: 50];
t3 = [0:0.01:  5];

w  = logspace(-2, +2, 100);

A = 1;

omega1 =  0.1;
omega2 =  1.0;
omega3 = 10.0;

u1 = A*sin(omega1*t1);
u2 = A*sin(omega2*t2);
u3 = A*sin(omega3*t3);

% case 1 first order system with negative zero 

Kp  = 1;
tp  = 1;
tz1 = 2;
tz2 = 0.5;

Gp1 = Kp*(tz1*s+1)/(tp*s+1);
Gp2 = Kp*(tz2*s+1)/(tp*s+1);

figure (1)
bode(Gp1,w)
pause

figure (2)
nyquist(Gp1)
pause

y11 = lsim(Gp1,u1,t1);
y12 = lsim(Gp1,u2,t2);
y13 = lsim(Gp1,u3,t3);

figure (3)
subplot(3,1,1), plot(t1,u1,'r',t1,y11,'g')
subplot(3,1,2), plot(t2,u2,'r',t2,y12,'g')
subplot(3,1,3), plot(t3,u3,'r',t3,y13,'g')
pause

figure (4)
bode(Gp2,w)
pause

figure (5)
nyquist(Gp2)
pause

y21 = lsim(Gp2,u1,t1);
y22 = lsim(Gp2,u2,t2);
y23 = lsim(Gp2,u3,t3);

figure (6)
subplot(3,1,1), plot(t1,u1,'r',t1,y21,'g')
subplot(3,1,2), plot(t2,u2,'r',t2,y22,'g')
subplot(3,1,3), plot(t3,u3,'r',t3,y23,'g')

