% program freq_resp_03_dr
% response of system to
% sinus input - first order system (pure integrator) 

clear; clc

s = tf('s');

t1 = [0:0.01:500];
t2 = [0:0.01: 50];
t3 = [0:0.01:  5];

w  = logspace(-2, +2, 100);

A = 1;

omega1 =  0.1;
omega2 =  1.0;
omega3 = 10.0;

u1 = A*sin(omega1*t1);
u2 = A*sin(omega2*t2);
u3 = A*sin(omega3*t3);

% case 1 first order system with negative zero 

K  = 1;
Gp = K/s;

figure (1)
bode(Gp,w)
pause

figure (2)
nyquist(Gp)
pause

y1 = lsim(Gp,u1,t1);
y2 = lsim(Gp,u2,t2);
y3 = lsim(Gp,u3,t3);

figure (3)
subplot(3,1,1), plot(t1,u1,'r',t1,y1,'g')
subplot(3,1,2), plot(t2,u2,'r',t2,y2,'g')
subplot(3,1,3), plot(t3,u3,'r',t3,y3,'g')
