% program freq_resp_04_dr
% response of system to
% sinusoidal input - second order system without zero 

clear; clc

s = tf('s');

w  = logspace(-2, +2, 200);

Kp    = 1;

tau1  = 1;
tau2  = 2;

zeta1 = 2.0;
zeta2 = 1.0;
zeta3 = 0.1;

Gp11 = Kp/(tau1^2*s^2+2*tau1*zeta1*s+1);
Gp12 = Kp/(tau1^2*s^2+2*tau1*zeta2*s+1);
Gp13 = Kp/(tau1^2*s^2+2*tau1*zeta3*s+1);

Gp21 = Kp/(tau2^2*s^2+2*tau2*zeta1*s+1);
Gp22 = Kp/(tau2^2*s^2+2*tau2*zeta2*s+1);
Gp23 = Kp/(tau2^2*s^2+2*tau2*zeta3*s+1);

subplot(6,2,1), bode(Gp11,w)
subplot(6,2,2), nyquist(Gp11)
subplot(6,2,3), bode(Gp12,w)
subplot(6,2,4), nyquist(Gp12)
subplot(6,2,5), bode(Gp13,w)
subplot(6,2,6), nyquist(Gp13)
subplot(6,2,7), bode(Gp21,w)
subplot(6,2,8), nyquist(Gp21)
subplot(6,2,9), bode(Gp22,w)
subplot(6,2,10), nyquist(Gp22)
subplot(6,2,11), bode(Gp23,w)
subplot(6,2,12), nyquist(Gp23)


