% program freq_resp_05_dr
% response of system to
% sinusoidal input - PI controller

clear; clc

s = tf('s');

t1 = [0:0.01:500];
t2 = [0:0.01: 50];
t3 = [0:0.01: 10];

A      =  1;
w      =  logspace(-3, 3, 200);
omega1 =  0.1;
omega2 =  1.0;
omega3 = 10.0;

u1 = A*sin(omega1*t1);
u2 = A*sin(omega2*t2);
u3 = A*sin(omega3*t3);

Kc  = 1;
ti1 = 0.25;
ti2 = 1.0;
ti3 = 4.0;

Gc1 = Kc/s*(s+1/ti1);
Gc2 = Kc/s*(s+1/ti2);
Gc3 = Kc/s*(s+1/ti3);

figure (1)
subplot(1,2,1), bode(Gc1,w)
subplot(1,2,2), nyquist(Gc1)
pause

figure (2)
subplot(1,2,1), bode(Gc2,w)
subplot(1,2,2), nyquist(Gc2)
pause

figure (3)
subplot(1,2,1), bode(Gc3,w)
subplot(1,2,2), nyquist(Gc3)
pause

y11 = lsim(Gc1,u1,t1);
y12 = lsim(Gc1,u2,t2);
y13 = lsim(Gc1,u3,t3);

y21 = lsim(Gc2,u1,t1);
y22 = lsim(Gc2,u2,t2);
y23 = lsim(Gc2,u3,t3);

y31 = lsim(Gc3,u1,t1);
y32 = lsim(Gc3,u2,t2);
y33 = lsim(Gc3,u3,t3);

figure (4)

subplot(3,3,1), plot(t1,u1,t1,y11)
subplot(3,3,2), plot(t2,u2,t2,y12)
subplot(3,3,3), plot(t3,u3,t3,y13)
subplot(3,3,4), plot(t1,u1,t1,y21)
subplot(3,3,5), plot(t2,u2,t2,y22)
subplot(3,3,6), plot(t3,u3,t3,y23)
subplot(3,3,7), plot(t1,u1,t1,y31)
subplot(3,3,8), plot(t2,u2,t2,y32)
subplot(3,3,9), plot(t3,u3,t3,y33)

