% program freq_resp_06_dr
% response of system to
% sinusoidal input - real PID controller

clear; clc

s = tf('s');

t1 = [0:0.01:400];
t2 = [0:0.01: 40];
t3 = [0:0.01: 10];

A      =  1;
w      =  logspace(-3, 4, 200);
omega1 =  0.1;
omega2 =  1.0;
omega3 = 10.0;

u1 = A*sin(omega1*t1);
u2 = A*sin(omega2*t2);
u3 = A*sin(omega3*t3);

Kc  = 1;

ti1 = 0.25;
ti2 = 1.0;
ti3 = 4.0;

td1 = 0.05;
td2 = 0.20;
td3 = 1.00;

Gc11 = Kc/s*(s+1/ti1+td1*s^2/(0.1*td1*s+1));
Gc12 = Kc/s*(s+1/ti1+td2*s^2/(0.1*td2*s+1));
Gc13 = Kc/s*(s+1/ti1+td3*s^2/(0.1*td3*s+1));
Gc21 = Kc/s*(s+1/ti2+td1*s^2/(0.1*td1*s+1));
Gc22 = Kc/s*(s+1/ti2+td2*s^2/(0.1*td2*s+1));
Gc23 = Kc/s*(s+1/ti2+td3*s^2/(0.1*td3*s+1));
Gc31 = Kc/s*(s+1/ti3+td1*s^2/(0.1*td1*s+1));
Gc32 = Kc/s*(s+1/ti3+td2*s^2/(0.1*td2*s+1));
Gc33 = Kc/s*(s+1/ti3+td3*s^2/(0.1*td3*s+1));

figure (1)
subplot(1,2,1), bode(Gc11,w)
subplot(1,2,2), nyquist(Gc11)
pause

figure (2)
subplot(1,2,1), bode(Gc12,w)
subplot(1,2,2), nyquist(Gc12)
pause

figure (3)
subplot(1,2,1), bode(Gc13,w)
subplot(1,2,2), nyquist(Gc13)
pause

figure (4)
subplot(1,2,1), bode(Gc21,w)
subplot(1,2,2), nyquist(Gc21)
pause

figure (5)
subplot(1,2,1), bode(Gc22,w)
subplot(1,2,2), nyquist(Gc22)
pause

figure (6)
subplot(1,2,1), bode(Gc23,w)
subplot(1,2,2), nyquist(Gc23)
pause

figure (7)
subplot(1,2,1), bode(Gc31,w)
subplot(1,2,2), nyquist(Gc31)
pause

figure (8)
subplot(1,2,1), bode(Gc32,w)
subplot(1,2,2), nyquist(Gc32)
pause

figure (9)
subplot(1,2,1), bode(Gc33,w)
subplot(1,2,2), nyquist(Gc33)
pause

y111 = lsim(Gc11,u1,t1);
y112 = lsim(Gc11,u2,t2);
y113 = lsim(Gc11,u3,t3);

y121 = lsim(Gc12,u1,t1);
y122 = lsim(Gc12,u2,t2);
y123 = lsim(Gc12,u3,t3);

y131 = lsim(Gc13,u1,t1);
y132 = lsim(Gc13,u2,t2);
y133 = lsim(Gc13,u3,t3);

y211 = lsim(Gc21,u1,t1);
y212 = lsim(Gc21,u2,t2);
y213 = lsim(Gc21,u3,t3);

y221 = lsim(Gc22,u1,t1);
y222 = lsim(Gc22,u2,t2);
y223 = lsim(Gc22,u3,t3);

y231 = lsim(Gc23,u1,t1);
y232 = lsim(Gc23,u2,t2);
y233 = lsim(Gc23,u3,t3);

y311 = lsim(Gc31,u1,t1);
y312 = lsim(Gc31,u2,t2);
y313 = lsim(Gc31,u3,t3);

y321 = lsim(Gc32,u1,t1);
y322 = lsim(Gc32,u2,t2);
y323 = lsim(Gc32,u3,t3);

y331 = lsim(Gc33,u1,t1);
y332 = lsim(Gc33,u2,t2);
y333 = lsim(Gc33,u3,t3);

figure (10)

subplot(3,3,1), plot(t1,u1,t1,y111)
subplot(3,3,2), plot(t1,u1,t1,y121)
subplot(3,3,3), plot(t1,u1,t1,y131)
subplot(3,3,4), plot(t1,u1,t1,y211)
subplot(3,3,5), plot(t1,u1,t1,y221)
subplot(3,3,6), plot(t1,u1,t1,y231)
subplot(3,3,7), plot(t1,u1,t1,y311)
subplot(3,3,8), plot(t1,u1,t1,y321)
subplot(3,3,9), plot(t1,u1,t1,y331)
pause

figure (11)

subplot(3,3,1), plot(t2,u2,t2,y112)
subplot(3,3,2), plot(t2,u2,t2,y122)
subplot(3,3,3), plot(t2,u2,t2,y132)
subplot(3,3,4), plot(t2,u2,t2,y212)
subplot(3,3,5), plot(t2,u2,t2,y222)
subplot(3,3,6), plot(t2,u2,t2,y232)
subplot(3,3,7), plot(t2,u2,t2,y312)
subplot(3,3,8), plot(t2,u2,t2,y322)
subplot(3,3,9), plot(t2,u2,t2,y332)
pause

figure (12)

subplot(3,3,1), plot(t3,u3,t3,y113)
subplot(3,3,2), plot(t3,u3,t3,y123)
subplot(3,3,3), plot(t3,u3,t3,y133)
subplot(3,3,4), plot(t3,u3,t3,y213)
subplot(3,3,5), plot(t3,u3,t3,y223)
subplot(3,3,6), plot(t3,u3,t3,y233)
subplot(3,3,7), plot(t3,u3,t3,y313)
subplot(3,3,8), plot(t3,u3,t3,y323)
subplot(3,3,9), plot(t3,u3,t3,y333)

