% program freq_resp_07_dr
% response of system to
% sinusoidal input - dead time

clear; clc

s = tf('s');

w = logspace(-1,+1,1000);
t1 = [0:0.01:300];
t2 = [0:0.01: 30];
t3 = [0:0.01: 10];

A = 1;
omega1 =  0.1;
omega2 =  1.0;
omega3 = 10.0;

u1 = A*sin(omega1*t1);
u2 = A*sin(omega2*t2);
u3 = A*sin(omega3*t3);

td    =  2;

Gp    = exp(-td*s);

[mag,phase] = bode(Gp,w);

for i = 1:length(w)
    MAG  (i) =   mag(:,:,i);
    PHASE(i) = phase(:,:,i);
end

for i = 1:length(w)
    REAL_Gp  (i) =   real(exp(-td*w(i)*j));
    IMAG_Gp  (i) =   imag(exp(-td*w(i)*j));
end


figure (1)
subplot(1,2,1), semilogx(w,PHASE)
subplot(1,2,2), plot(REAL_Gp,IMAG_Gp,'.')
pause

y1 = lsim(Gp,u1,t1);
y2 = lsim(Gp,u2,t2);
y3 = lsim(Gp,u3,t3);

figure (2)
subplot(3,1,1), plot(t1,u1,t1,y1)
subplot(3,1,2), plot(t2,u2,t2,y2)
subplot(3,1,3), plot(t3,u3,t3,y3)





