% program freq_resp_08_dr
% Bode and Nyquist plots of an third order open loop
% with PI controller

clear; clc

Kc   =  5;
ti   =  1;

s    = tf('s');

Gc     = Kc/s*(s+1/ti);
Gf     = 1;
Gp     = 1/(0.5*s+1)/(0.4*s+1)/(0.1*s+1);
Gm     = 1;
Km     = 1;

Gfor  = Gc*Gf*Gp;
Gol   = Gfor*Gm;

figure (1)
subplot(1,2,1), bode(Gol)
subplot(1,2,2), nyquist(Gol)


