% program example_9_1_dr
clear; clc 
s = tf('s');

% Ziegler-Nichols

Kc    = 6.35;
ti    = 1e8;
td    = 0;

Gc    = Kc*(1+1/ti/s+td*s);

Kp    = 1;
t1    = 1;
t2    = 2;
t3    = 4;
t4    = 7;

Gp    = Kp/(t1*s+1)/(t2*s+1)/(t3*s+1)/(t4*s+1);

Gload = Gp/(1+Gc*Gp);

dt    = 0.01;

tt1   = [0:dt:200];

[yt]  = step(Gload,tt1);

figure(1)
plot(tt1,yt)
pause

Kcu   = 6.35;
Pu    = 17.4;

Kc_zn = Kcu/1.7
ti_zn = Pu/2
td_zn = Pu/8
pause

% Cohen-Coon
tt2 = [0:dt:60];
[RC] = step(Gp,tt2);

figure(2)
plot(tt2,RC)
pause

K     = 1;
theta = 20*10/52;
tau   = 20*44/52;

Kc_cc = 1/K*tau/theta*(16*tau+3*theta)/12/tau 
ti_cc = theta*(32+6*theta/tau)/(13+8*theta/tau) 
td_cc = 4*theta/(11+2*theta/tau) 
pause

Gc_zn = Kc_zn*(1+1/ti_zn/s+td_zn*s);
Gc_cc = Kc_cc*(1+1/ti_cc/s+td_cc*s);
Gload_zn = Gp/(1+Gc_zn*Gp);
Gload_cc = Gp/(1+Gc_cc*Gp);
[yt_zn]  = step(Gload_zn,tt1);
[yt_cc]  = step(Gload_cc,tt1);

Kc_opt    = 12.0;
ti_opt    =  3.0;
td_opt    =  4.0;

Gc_opt    = Kc_opt*(1+1/ti_opt/s+td_opt*s);
Gload_opt = Gp/(1+Gc_opt*Gp);
[yt_opt]  = step(Gload_opt,tt1);

IAE_zn  = dt*sum(abs(yt_zn))
IAE_cc  = dt*sum(abs(yt_cc))
IAE_opt = dt*sum(abs(yt_opt))
pause

figure(3)
plot(tt1,yt_zn,'k-',tt1,yt_cc,'k-',tt1,yt_opt,'k-')



