% program example_9_3_dr
clear; clc 
s = tf('s');

% Ziegler-Nichols

Kcu   = 10;
ti    = 1e8;

Gc    = Kcu*(1+1/ti/s);

Kp    = 1;
t1    = 1;
t2    = 2;
t3    = 3;

Gp    = Kp/(t1*s+1)/(t2*s+1)/(t3*s+1);

Gsp = Gc*Gp/(1+Gc*Gp);

dt    = 0.01;

tt1   = [0:dt:100];

[yt]  = step(Gsp,tt1);

figure(1)
plot(tt1,yt)
pause

Kcu   = 10;
Pu    = 2*pi;

Kc_zn = Kcu/2.2
ti_zn = Pu/1.2
pause

% Cohen-Coon
tt2 = [0:dt:30];
[RC] = step(Gp,tt2);

figure(2)
plot(tt2,RC)
pause

K     = 1;
theta = 1.4337;
tau   = 7.4129;

Kc_cc = 1/K*tau/theta*(0.9+theta/12/tau)
ti_cc = theta*(30+3*theta/tau)/(9+20*theta/tau) 
pause

% Rovira
a1 =  0.586;
b1 = -0.916;
a2 =  1.03;
b2 = -0.165;
Kc_ro = a1/K*(theta/tau)^b1
ti_ro = tau/(a2+b2*theta/tau) 
pause

Gc_zn = Kc_zn*(1+1/ti_zn/s);
Gc_cc = Kc_cc*(1+1/ti_cc/s);
Gc_ro = Kc_ro*(1+1/ti_ro/s);

Gsp_zn = Gc_zn*Gp/(1+Gc_zn*Gp);
Gsp_cc = Gc_cc*Gp/(1+Gc_cc*Gp);
Gsp_ro = Gc_ro*Gp/(1+Gc_ro*Gp);

[yt_zn]  = step(Gsp_zn,tt1);
[yt_cc]  = step(Gsp_cc,tt1);
[yt_ro]  = step(Gsp_ro,tt1);

ITAE_zn  = dt*sum(abs(1-yt_zn).*tt1')
ITAE_cc  = dt*sum(abs(1-yt_cc).*tt1')
ITAE_ro  = dt*sum(abs(1-yt_ro).*tt1')
pause

figure(3)
plot(tt1,1-yt_zn,'k-',tt1,1-yt_cc,'k--',tt1,1-yt_ro,'k-.')
xlabel('t'); ylabel('error'); title('error versus t')



