% program solved_problem_9_1_dr
clear; clc 
s = tf('s');

% Ziegler-Nichols

Kc    = 1.387;
ti    = 1e8;

Gc    = Kc*(1+1/ti/s);

K     = 5;
tau   = 2;
theta = 0.5;

Gp    = K/(tau*s+1)*exp(-theta*s);
Gp_ss = ss(Gp);

Gload_ss = Gp_ss/(1+Gc*Gp_ss);

dt    = 0.01;

tt1   = [0:dt:30];

[yt]  = step(Gload_ss,tt1);

figure(1)
plot(tt1,yt)
pause

Kcu   = 1.387;
Pu    = 0.687;

Kc_zn = Kcu/2.2
ti_zn = Pu/1.2
pause

% Cohen-Coon

Kc_cc = 1/K*tau/theta*(0.9+theta/12/tau) 
ti_cc = theta*(30+3*theta/tau)/(9+20*theta/tau) 
pause

% Lopez

a1 =  0.859;
b1 = -0.977;
a2 =  0.674;
b2 =  0.680;
Kc_lo = a1/K*(theta/tau)^b1 
ti_lo = tau/a2*(theta/tau)^b2 
pause

Gc_zn    = Kc_zn*(1+1/ti_zn/s);
Gc_cc    = Kc_cc*(1+1/ti_cc/s);
Gc_lo    = Kc_lo*(1+1/ti_lo/s);

Gload_zn = Gp_ss/(1+Gc_zn*Gp_ss);
Gload_cc = Gp_ss/(1+Gc_cc*Gp_ss);
Gload_lo = Gp_ss/(1+Gc_lo*Gp_ss);

[yt_zn]  = step(Gload_zn,tt1);
[yt_cc]  = step(Gload_cc,tt1);
[yt_lo]  = step(Gload_lo,tt1);

Kc_opt    =  0.60;
ti_opt    =  1.27;

Gc_opt    = Kc_opt*(1+1/ti_opt/s);
Gload_opt = Gp_ss/(1+Gc_opt*Gp_ss);
[yt_opt]  = step(Gload_opt,tt1);

ITAE_zn  = dt*sum(abs(yt_zn'  .*tt1))
ITAE_cc  = dt*sum(abs(yt_cc'  .*tt1))
ITAE_lo  = dt*sum(abs(yt_lo'  .*tt1))
ITAE_opt = dt*sum(abs(yt_opt' .*tt1))
pause

figure(3)
plot(tt1,yt_zn,'r-',tt1,yt_cc,'g-',tt1,yt_lo,'b-',tt1,yt_opt,'k-')



