% program solved_problem_11_1_dr
clear; clc 
syms s t A1 A2 R1 R2

A = [-1/A1/R1, 1/A1/R1; 1/A2/R1, (-1/A2/R1-1/A2/R2)];
B = [1/A1,0;0,1/A2];
C = [0,1];

G_s = C*inv(s*eye(2)-A)*B 

clear; 
epsilon1  = 1;
epsilon2  = 1;
tt = [0:0.1:50];

s = tf('s');

Gp = 5*(8*s+1)/(80*s^2+38*s+1);
Gd = 5/(80*s^2+38*s+1);

Q1 = (80*s^2+38*s+1)/5/(8*s+1)/(epsilon1*s+1);
Q2 = 1/(8*s+1)/(epsilon2*s+1);

Gc  = Q1/(1-Gp*Q1)
Gff = (Q2-Gd*Q1)/(1-Gp*Q1)

Gsp   = Gc*Gp/(1+Gc*Gp)
Gload = (Gd-Gff*Gp)/(1+Gc*Gp)

yt_sp   = step(Gsp,tt);
yt_load = step(Gload,tt);

% plots

figure(1)
plot(tt',yt_sp,'k-')
xlabel('t')
ylabel('y(t)')
pause

figure(2)
plot(tt',yt_load,'k-')
xlabel('t')
ylabel('y(t)')

