% program example_12_3_dr
clear; clc

s = tf('s');

Gp1  = 1/(0.5*s+1)/(s+1);
Gp2  = 1/(0.1*s+1);
Gd1  = 1;
Gd2  = 1;

% simle control loop

Gol_simple  = Gp2*Gp1
figure(1)
step(Gol_simple)
pause

K1     = 1
theta1 = 0.294
tau1   = 1.47

% PI controler

Kc = 1/K1*tau1/theta1*(0.9+theta1/12/tau1) 
ti = theta1*(30+3*theta1/tau1)/(9+20*theta1/tau1)
Gc = Kc*(1+1/ti/s)
pause

% cascade control loop

Kc2 = 10;
Gsp_inner   = Kc2*Gp2/(1+Kc2*Gp2)
Gload_inner = 1      /(1+Kc2*Gp2)

Gol_cascade = Gsp_inner*Gp1
figure(2)
step(Gol_cascade)
pause

K2     = 10/11
theta2 = 0.133
tau2   = 1.466

% PI controler (Gc1)

Kc1 = 1/K2*tau2/theta2*(0.9+theta2/12/tau2) 
ti1 = theta2*(30+3*theta2/tau2)/(9+20*theta2/tau2)
Gc1 = Kc1*(1+1/ti1/s)
pause

Gload2_simple  = Gp1/(1+Gc*Gp2*Gp1)
poles_simple   = pole(Gload2_simple)
Gload2_cascade = Gload_inner*Gp1/(1+Gc1*Gsp_inner*Gp1)
poles_cascade  = pole(Gload2_cascade)

figure(3)
step(Gload2_simple,'k--',Gload2_cascade,'k-')
