% program solved_problem_12_1_dr
clear; clc
s = tf('s');

% simple loop

Gp1  = (5*s+1)/(2*s+1)/(4*s+1);
Gp2  = 1/(0.2*s^2+0.5*s+1);
Gd1  = Gp1;
Gd2  = Gp2;
Gol  = Gp1*Gp2;

% Ziegler - Nichols
figure(1)
rlocus(Gol)
pause

Kcu     = 5.41;
omegaco = 2.54;
Pu      = 2*pi/omegaco;

Kc      = Kcu / 1.7;
ti      = Pu / 2;
td      = Pu / 8;

Gc      = Kc*(1+1/ti/s +td*s);
Gload   = Gp2*Gp1/(1+Gc*Gp2*Gp1);

% cascade control

Kc2     = 8;
Gol_cas = Kc2*Gp2/(1+Kc2*Gp2)*Gp1;
figure(2)
rlocus(Gol_cas)
pause

Kcu     = 4.71;
omegaco = 6.82;
Pu      = 2*pi/omegaco;

Kc1      = Kcu / 1.7;
ti1      = Pu / 2;
td1      = Pu / 8;

Gc1     = Kc1*(1+1/ti1/s +td1*s);
Gload_cas   = Gp2/(1+Kc2*Gp2)*Gp1/(1+Gc1*Kc2*Gp2/(1+Kc2*Gp2)*Gp1);
tt      = [0:0.01:10];
yt      = step(Gload,tt);
yt_cas  = step(Gload_cas,tt);
figure(3)
plot(tt,yt,'k--',tt,yt_cas,'k-')
