% program solved_problem_13_1_dr

clear;  clc

K11 =  12.8;
K12 = -18.9;
K21 =   6.6;
K22 = -19.4;

t11 = 16.7;
t12 = 21.0;
t21 = 10.9;
t22 = 14.4;

td11 = 1;
td12 = 3;
td21 = 7;
td22 = 3;

s = tf('s');

G11 = K11/(t11*s+1)*exp(-td11*s);
G12 = K12/(t12*s+1)*exp(-td12*s);
G21 = K21/(t21*s+1)*exp(-td21*s);
G22 = K22/(t22*s+1)*exp(-td22*s);

% Ziegler - Nichols
omega = [1:0.001:2]';
phi   = (atan(-t11*omega)-omega*td11)*180/pi;
[omega phi];

omega_co = 1.608;
Pu       = 2*pi/omega_co;

Kcu = sqrt(t11^2*omega_co^2+1)/K11;

% Table 9.1 (PI controller)

Kc11 = Kcu/2.2;
ti11 = Pu/1.2;

Gc11 = Kc11*(1+1/ti11/s);

% Cohen - Coon

% Table 9.1 (PI controller)

Kc22 = 1/K22*t22/td22*(0.9+td22/12/t22);
ti22 = td22*(30+3*td22/t22)/(9+20*td22/t22);

Gc22 = Kc22*(1+1/ti22/s);

Gp = ss([G11,G12;G21,G22]);
Gc = ss([Gc11,0;0,Gc22]);

GSP = inv(eye(2)+Gp*Gc)*Gp*Gc;

tt   = [0:0.01:100];
y_11 = step(GSP(1,1), tt);
y_12 = step(GSP(1,2), tt);
y_21 = step(GSP(2,1), tt);
y_22 = step(GSP(2,2), tt);

figure(1)
plot(tt, y_11+y_12,'k-',tt,y_21+y_22,'k-.')
pause

D1  = -K12/K11;
D2  = -K21/K22;

D   = [1,D1;D2,1];

GSPD = inv(eye(2)+Gp*D*Gc)*Gp*D*Gc;

y_11D = step(GSPD(1,1), tt);
y_12D = step(GSPD(1,2), tt);
y_21D = step(GSPD(2,1), tt);
y_22D = step(GSPD(2,2), tt);

figure(2)
plot(tt, y_11D+y_12D,'k-',tt,y_21D+y_22D,'k-.')
pause

DD1  = -(K12/(t12*s+1))/(K11/(t11*s+1))/(0.1*s+1)*exp(-s*0);
DD2  = -(K21/(t21*s+1))/(K22/(t22*s+1))/(0.1*s+1)*exp(-s*0);

DD   = ss([1,DD1;DD2,1]);

GSPDD = inv(eye(2)+Gp*DD*Gc)*Gp*DD*Gc;

y_11DD = step(GSPDD(1,1), tt);
y_12DD = step(GSPDD(1,2), tt);
y_21DD = step(GSPDD(2,1), tt);
y_22DD = step(GSPDD(2,2), tt);

figure(3)
plot(tt, y_11DD+y_12DD,'k-',tt,y_21DD+y_22DD,'k-.')



