%     program con1_2 

%     Problem 1_2: Level Control at tank 2 by F01

clear; clc

h2sp = 14.9;

a12   =	  0.4799;				% liter min-1 cm(-a13)
a13	  =	  0.5492;				% -

load cc_14.dat;
data = cc_14;

time_exp = data(:,1);
h1_exp   = data(:,2);
h2_exp   = data(:,3);
rn_exp   = data(:,4);

t0     =   0.0;                          % s
tfinal = time_exp(length(time_exp),1);   % s

%
%	Values for initial conditions: 
%     

h1s    = h1_exp(1,1);         % cm	       1
h2s    = h2_exp(1,1);         % cm	       2
f01s   = a12*(h1s-h2s)^a13;   % liter/min  3
erris  =  0.0;                % Vdc        4
errfs  =  0.0;                % Vdc        5

y0     = [h1s h2s f01s erris errfs]';

[T,Y]  = ode45(@tanks,[t0 tfinal]',y0);
save con1_2.mat T Y
plot(T,Y(:,1:2),time_exp,[h1_exp,h2_exp])
title('solution of nonlinear model versus experiment')
xlabel('time, sec')
ylabel('h1,   h2,   cm')

pause

time = T;
h1   = Y(:,1);
h2   = Y(:,2);

ise  = 0;
iae  = 0;
itae = 0;

n = length(time);

for i = 1:n-1
    dt(i,1)  = time(i+1,1) - time(i,1);
    se(i,1)  = (h2sp - h2(i,1))^2;
    ae(i,1)  = abs(h2sp - h2(i,1));
    tae(i,1) = time(i,1)*ae(i,1);
    ise      = ise  + dt(i,1)* se(i,1);
    iae      = iae  + dt(i,1)* ae(i,1);
    itae     = itae + dt(i,1)*tae(i,1);
end

ise_nonlinear  = ise
iae_nonlinear  = iae
itae_nonlinear = itae
