% program flow

clear; clc

% F1  =       a12*(h1-h2)^a13
% F2  = a21 + a22*   h2  ^a23
% Fs  = F1s = F2s

n  = 5;

h1(1,1) = 45.25;  % cm
h1(2,1) = 36.00;  % cm
h1(3,1) = 28.00;  % cm
h1(4,1) = 19.13;  % cm
h1(5,1) = 10.63;  % cm

h2(1,1) = 15.50;  % cm
h2(2,1) = 11.38;  % cm
h2(3,1) =  7.88;  % cm
h2(4,1) =  3.88;  % cm
h2(5,1) =  0.00;  % cm

F( 1,1) = 52.00;  % cm3 sec-1
F( 2,1) = 46.50;  % cm3 sec-1
F( 3,1) = 40.83;  % cm3 sec-1
F( 4,1) = 35.33;  % cm3 sec-1
F( 5,1) = 30.00;  % cm3 sec-1

Fnew(1,1) = F(1,1)*60/1000;  % liter min-1
Fnew(2,1) = F(2,1)*60/1000;  % liter min-1
Fnew(3,1) = F(3,1)*60/1000;  % liter min-1
Fnew(4,1) = F(4,1)*60/1000;  % liter min-1
Fnew(5,1) = F(5,1)*60/1000;  % liter min-1

a1 = lsqnonlin(@flow1,[7 0.7]);    % [a1(1)]=cm^(3-a13)/sec, [a1(2)]=%/%
a2 = lsqnonlin(@flow2,[30 3 0.8]); % [a2(1)]=cm^3/sec, [a2(2)]=cm^(3-a23)/sec, [a2(3)]=%/%

a1new(1) = a1(1)*60/1000;          % [a1new(1)]=liter/min/cm^a13
a1new(2) = a1(2);                  % [a1new(2)]=%/%

a2new(1) = a2(1)*60/1000;          % [a2new(1)]=liter/min
a2new(2) = a2(2)*60/1000;          % [a2new(1)]=liter/min/cm^a23
a2new(3) = a2(3);                  % [a2new(3)]=%/%

a1new    = a1new
a2new    = a2new
pause

figure(1)
delta_h = h1 - h2;
h = [0:0.01:50];
F1 = a1(1)*h.^a1(2);
plot(h,F1,delta_h,F,'o')
xlabel('h1 - h2, cm')
ylabel('F1, cm3/sec')
pause

figure(2)
F1new = a1new(1)*h.^a1new(2);
plot(h,F1new,delta_h,Fnew,'o')
xlabel('h1 - h2, cm')
ylabel('F1, liter/min')
pause

figure(3)
F2 = a2(1)+a2(2)*h.^a2(3);
plot(h,F2,h2,F,'o')
xlabel('h2, cm')
ylabel('F2, cm3/sec')
pause

figure(4)
F2new = a2new(1)+a2new(2)*h.^a2new(3);
plot(h,F2new,h2,Fnew,'o')
xlabel('h2, cm')
ylabel('F2, liter/min')
