% program gm

clear; clc

% pressure transducers

n1 = 6;
n2 = 6;

h1(1,1) = 50;     % cm
h1(2,1) = 40;     % cm
h1(3,1) = 30;     % cm
h1(4,1) = 20;     % cm
h1(5,1) = 10;     % cm
h1(6,1) = 00;     % cm

h2(1,1) = 50;     % cm
h2(2,1) = 40;     % cm
h2(3,1) = 30;     % cm
h2(4,1) = 20;     % cm
h2(5,1) = 10;     % cm
h2(6,1) = 00;     % cm

h1m(1,1) = 4.99;  % Vdc
h1m(2,1) = 4.20;  % Vdc
h1m(3,1) = 3.40;  % Vdc
h1m(4,1) = 2.59;  % Vdc
h1m(5,1) = 1.80;  % Vdc
h1m(6,1) = 1.00;  % Vdc

h2m(1,1) = 5.00;  % Vdc
h2m(2,1) = 4.23;  % Vdc
h2m(3,1) = 3.43;  % Vdc
h2m(4,1) = 2.63;  % Vdc
h2m(5,1) = 1.83;  % Vdc
h2m(6,1) = 1.02;  % Vdc

figure(1)
plot(h1,h1m,'o')
xlabel('h1, cm')
ylabel('h1m, Vdc')
pause

figure(2)
plot(h2,h2m,'o')
xlabel('h2, cm')
ylabel('h2m, Vdc')
pause

% flowmeter

n3 = 6;

F(1,1) = 81.30;  % cm3 sec-1
F(2,1) = 75.96;  % cm3 sec-1
F(3,1) = 56.40;  % cm3 sec-1
F(4,1) = 36.24;  % cm3 sec-1
F(5,1) = 17.30;  % cm3 sec-1
F(6,1) =  5.91;  % cm3 sec-1

Fnew(1,1) = F(1,1)*60/1000;  % liter min-1
Fnew(2,1) = F(2,1)*60/1000;  % liter min-1
Fnew(3,1) = F(3,1)*60/1000;  % liter min-1
Fnew(4,1) = F(4,1)*60/1000;  % liter min-1
Fnew(5,1) = F(5,1)*60/1000;  % liter min-1
Fnew(6,1) = F(6,1)*60/1000;  % liter min-1

Fm(1,1) = 2.47;  % Vdc
Fm(2,1) = 2.30;  % Vdc
Fm(3,1) = 1.75;  % Vdc
Fm(4,1) = 1.15;  % Vdc
Fm(5,1) = 0.57;  % Vdc
Fm(6,1) = 0.21;  % Vdc

figure(3)
plot(Fnew,Fm,'o')
xlabel('F, liter/min')
ylabel('Fm, Vdc')
